uniform vec4 furScaleColor;
uniform sampler2D Fur;
uniform sampler2D FurColor;

void main(void)
{
    // Get the alpha component for this shaft
    vec4 fAlpha = texture2D( Fur, gl_TexCoord[0].st );
    
    // Get the hair shaft color, and scale by the color scale
    vec4 fColor = furScaleColor * texture2D( FurColor, gl_TexCoord[0].st ) * fAlpha;
        
    // Return the calculated color
     gl_FragData[0] = fColor;
}